#### Description:

This function creates a copy of an Object and returns a pointer to the resulting new Object. It makes a `"` deep`"` copy, which contains no references to any other Object (i.e. if the original Object contains references to other Objects, then the actual data are copied, not simply the references). This means that modifications may safely be made to the copy without indirectly affecting any other Object.

#### Synopsis

AstObject ∗astCopy( const AstObject ∗this )

#### Parameters:

##### this

Pointer to the Object to be copied.

#### Applicability

##### Object

This function applies to all Objects.

#### Returned Value

##### astCopy()

Pointer to the new Object.

#### Notes:

- A null Object pointer (AST__NULL) will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory